---     
tags: 
  - DateArrays
description: Creates a DateArray
  <br/><strong>REQUIRED</strong> `dates` array as a list of integers
parameters:
  - in: header
    name: Authorization
    type: string
    required: true
  - in: body
    name: body
    type: object
    required: true
    schema:
      example: {
      "dates": [20230101, 20230102, 20230103]
      }    
produces: 
  - 'application/json'
responses:
  200:
    schema:
      properties:
        id:
          type: integer
          example: 1
        dates:
          type: array
          example: [20230101,20230102,20230103]
  400:
    schema:
      type: object
      properties:
        error:
          type: string
          example: 'Dates array must exist'
  401:
    schema:
      type: object
      properties:
        error:
          type: string
          example: 'User not authorised'

